function [in]=bprb_applybasis(basisf, in);
% function [in]=bprb_applybasis(basisf, in);
% applies basis functions to input.
%
% (C) Sykacek 2002

nsmpls=size(in,1);
if basisf.btype=='g'
   [out]=bprb_gauss(in, basisf.K, basisf.l);
elseif basisf.btype=='t'
   [out]=bprb_thinplate(in, basisf.K);
end
in=[ones(nsmpls, 1), in, out'];