function [in] = getpredinputs(basisf, K, subset, tran)
% get input data for predictions
 if ~isempty(subset)
 in = tran(:, subset);
 % project inputs onto latent space
 if basisf.btype ~= 'l'
  nin=length(subset);
  basisf.K=K; % get kernels as randomly selected input values.
  if basisf.btype=='g'
   basisf.l=ones(nin,1)*basisf.l;
  end
  [in]=bprb_applybasis(basisf, in);
 else
  in=[ones(size(in,1),1), in];
 end
 else
 in=[ones(size(tran,1),1)];
end